aboutsummaryrefslogtreecommitdiff
path: root/x11/libs
diff options
context:
space:
mode:
authorrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
committerrhatto <rhatto@370017ae-e619-0410-ac65-c121f96126d4>2008-11-27 16:05:54 +0000
commit2cd81aedce1f3e0cf3a1c597e2420110a5a7894a (patch)
tree7fe740917fbb54b8e10e42c40bcd69d27bed6ff3 /x11/libs
parentacbbe3011c0d08bf44de093f9d9cd3a1d08ac14a (diff)
downloadslackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.gz
slackbuilds-2cd81aedce1f3e0cf3a1c597e2420110a5a7894a.tar.bz2
packages now shipping with slack-required
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1980 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'x11/libs')
-rwxr-xr-xx11/libs/ecore/ecore.SlackBuild8
-rwxr-xr-xx11/libs/esmart/esmart.SlackBuild8
-rwxr-xr-xx11/libs/etk/etk.SlackBuild8
-rwxr-xr-xx11/libs/evas/evas.SlackBuild8
-rwxr-xr-xx11/libs/ewl/ewl.SlackBuild8
-rw-r--r--x11/libs/gtkglext/gtkglext.SlackBuild8
-rw-r--r--x11/libs/vte/vte.SlackBuild8
7 files changed, 49 insertions, 7 deletions
diff --git a/x11/libs/ecore/ecore.SlackBuild b/x11/libs/ecore/ecore.SlackBuild
index 78c0e526..cb0a4002 100755
--- a/x11/libs/ecore/ecore.SlackBuild
+++ b/x11/libs/ecore/ecore.SlackBuild
@@ -150,11 +150,17 @@ ecore:
ecore:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/libs/esmart/esmart.SlackBuild b/x11/libs/esmart/esmart.SlackBuild
index e3e3e21f..d51540d9 100755
--- a/x11/libs/esmart/esmart.SlackBuild
+++ b/x11/libs/esmart/esmart.SlackBuild
@@ -150,11 +150,17 @@ esmart:
esmart:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/libs/etk/etk.SlackBuild b/x11/libs/etk/etk.SlackBuild
index 94832ebe..590913a0 100755
--- a/x11/libs/etk/etk.SlackBuild
+++ b/x11/libs/etk/etk.SlackBuild
@@ -150,11 +150,17 @@ etk:
etk:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/libs/evas/evas.SlackBuild b/x11/libs/evas/evas.SlackBuild
index c92123a7..9cdd9909 100755
--- a/x11/libs/evas/evas.SlackBuild
+++ b/x11/libs/evas/evas.SlackBuild
@@ -150,11 +150,17 @@ evas:
evas:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/libs/ewl/ewl.SlackBuild b/x11/libs/ewl/ewl.SlackBuild
index 381b64f2..8fe9482a 100755
--- a/x11/libs/ewl/ewl.SlackBuild
+++ b/x11/libs/ewl/ewl.SlackBuild
@@ -150,11 +150,17 @@ ewl:
ewl:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/libs/gtkglext/gtkglext.SlackBuild b/x11/libs/gtkglext/gtkglext.SlackBuild
index 1e1bd483..1c7c4385 100644
--- a/x11/libs/gtkglext/gtkglext.SlackBuild
+++ b/x11/libs/gtkglext/gtkglext.SlackBuild
@@ -143,11 +143,17 @@ gtkglext:
gtkglext:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi
diff --git a/x11/libs/vte/vte.SlackBuild b/x11/libs/vte/vte.SlackBuild
index aa079d84..28a9f30a 100644
--- a/x11/libs/vte/vte.SlackBuild
+++ b/x11/libs/vte/vte.SlackBuild
@@ -142,11 +142,17 @@ vte:
vte:
EODESC
+# Copy slack-required
+mkdir -p "$PKG/install" || exit $ERROR_MKDIR
+if [ -f "$CWD/slack-required" ]; then
+ cp $CWD/slack-required $PKG/install
+fi
+
# Build the package
cd "$PKG"
makepkg -l y -c n "$REPOS/$PKG_NAME-$PKG_VERSION-$ARCH-$BUILD.tgz" || exit $ERROR_MKPKG
# Delete source and build directories if requested
-if [ "$CLEANUP" == "yes" ]; then
+if [ "$CLEANUP" == "yes" ] || [ "$1" = "--cleanup" ]; then
rm -rf "$PKG_WORK" "$PKG"
fi